
module IO_test(

        //clk / rst
		input clk,
		input rst_n,

        //LED
		output[3:0] led

);

reg[31:0]         clk_cnt;
reg               T1S;
reg[3:0]          led_reg;
//LED灯测试

assign led = led_reg;

//50MHz时计时1秒
always @(posedge clk)
begin
  if(~rst_n)
    clk_cnt <= 0;
  else if(clk_cnt < 50000001)
    clk_cnt <= clk_cnt + 1;
  else
    clk_cnt <= 0;
end


always @(posedge clk)
begin
  if(~rst_n)
    T1S <= 0;
  else if(clk_cnt > 50000000)
    T1S <= 1'b1;
  else
    T1S <= 0;  
end  


//流水灯
always @(posedge clk)
begin
  if(~rst_n)
    led_reg <= 4'b1110;
  else if(T1S)
    led_reg <= {led_reg[2:0],led_reg[3]};
  else
    led_reg <= led_reg; 
end  



endmodule
